Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 452675 - Traceback during sync, when errata has no description.
Summary: Traceback during sync, when errata has no description.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Spacewalk
Classification: Community
Component: Server
Version: 0.1
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Miroslav Suchý
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
Depends On:
Blocks: space02
TreeView+ depends on / blocked
 
Reported: 2008-06-24 13:43 UTC by Miroslav Suchý
Modified: 2009-09-17 06:59 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-17 06:59:21 UTC


Attachments (Terms of Use)

Description Miroslav Suchý 2008-06-24 13:43:34 UTC
+++ This bug was initially created as a clone of Bug #452476 +++

Description of problem:
From rhn-satellite@redhat.com:
Hi again and once again, thanks for the tips.

I have been experimenting with the script, and find that for our Lab Satellite
here we get the following traceback for certain channels:


Channel: Red Hat Desktop (v. 3 for x86) Label: rhel-i386-desktop-3
Traceback (most recent call last):
  File "repomd-precache.py", line 28, in ?
    repo.get_repomd_file()
  File "/usr/share/rhn/server/repomd/repository.py", line 326, in get_repomd_file
    self.repository.get_updateinfo_xml_file(),
  File "/usr/share/rhn/server/repomd/repository.py", line 106, in
get_updateinfo_xml_file
    viewobj.write_updateinfo()
  File "/usr/share/rhn/server/repomd/view.py", line 305, in write_updateinfo
    self.fileobj.write('\n'.join(self._get_erratum(erratum)))
  File "/usr/share/rhn/server/repomd/view.py", line 289, in _get_erratum
    output.append("    <description>%s</description>"
TypeError: cannot concatenate 'str' and 'NoneType' objects 

Version-Release number of selected component (if applicable):
520

How reproducible:
the bug is obvious

Steps to Reproduce:
1. sync some channel with errate which has some synopsis and empty description
(or reverse: some description and none synopsis)
2. regenerate repomd cache either by requesting data from it by client or
regenerate using rhnChannel.channel_info API call.
  
Actual results:
Traceback

Expected results:
Works as charm.

-- Additional comment from msuchy@redhat.com on 2008-06-23 05:24 EST --
Fixed in trunk rev. 174335

Comment 1 Miroslav Suchý 2008-06-24 13:48:29 UTC
Commited to git repo as b1966fff0f8cade81ff49d88da3b177b53a30f6d

Comment 2 Devan Goodwin 2008-09-05 14:07:44 UTC
Does it make sense to verify this against spacewalk? (satellite-sync isn't really commonly used is it?) 

I understand we can use it to populate from a mounted internal share of packages to possibly replicate, could anyone confirm if syncing say RHEL 5 Server i386 (via this method) would include errata required to cover this?

Comment 4 Miroslav Suchý 2009-09-17 06:59:21 UTC
Spacewalk is released for long time.


Note You need to log in before you can comment on or make changes to this bug.